#### Previous topic

scipy.stats.mstats.zscore

#### Next topic

scipy.stats.mstats.gmean

# scipy.stats.mstats.compare_medians_ms

`scipy.stats.mstats.``compare_medians_ms`(group_1, group_2, axis=None)

  Compares the medians from two independent groups along the given axis.

  The comparison is performed using the McKean-Schrader estimate of the standard error of the medians.

  Parameters:

  group_1 : array_like

  > First dataset.

  group_2 : array_like

  > Second dataset.

  axis : int, optional

  > Axis along which the medians are estimated. If None, the arrays are flattened. If axis is not None, then group_1 and group_2 should have the same shape.

  Returns:

  compare_medians_ms : {float, ndarray}

  > If axis is None, then returns a float, otherwise returns a 1-D ndarray of floats with a length equal to the length of group_1 along axis.